org.codehaus.plexus.util.xml

## Interface XMLWriter

- All Known Implementing Classes:
    CompactXMLWriter, PrettyPrintXMLWriter, SerializerXMLWriter

      public interface XMLWriter

  Version:
    $Id$

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(String key, String value)`
    `void` | `endElement()`
    `void` | `startElement(String name)`
    `void` | `writeMarkup(String text)`
    `void` | `writeText(String text)`

- - ### Method Detail

    - #### startElement

          void startElement(String name)

    - #### addAttribute

          void addAttribute(String key,
                          String value)

    - #### writeText

          void writeText(String text)

    - #### writeMarkup

          void writeMarkup(String text)

    - #### endElement

          void endElement()

Copyright © 2015. All rights reserved.